'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * @author jero
 * @date 2016-09-07
 */

var log = require('debug')('validate-commit-user');
var chalk = require('chalk');

exports.default = function (vConfig, fromTest) {
  if (!vConfig) {
    return true;
  }

  var ENV = process.env;
  var name = ENV.GIT_AUTHOR_NAME;
  var email = ENV.GIT_AUTHOR_EMAIL;
  var rName = vConfig.name && new RegExp(vConfig.name);
  var rEmail = vConfig.email && new RegExp(vConfig.email);
  var errMsg = vConfig.errMsg || 'commit name or email error';
  var succMsg = vConfig.succMsg || '';
  var ret = true;

  log('check git user.name [' + name + ']');

  if (!rName.test(name)) {
    ret = false;
    log('check git user.name [' + name + '] ERROR');
  } else {
    log('check git user.name [' + name + '], pass');
  }

  log('check git user.email [' + email + ']');

  if (!rEmail.test(email)) {
    ret = false;
    log('check git user.name [' + email + '] ERROR, example [jerojiang@tencent.com]');
  } else {
    log('check git user.email [' + email + '], pass');
  }

  if (!ret) {
    console.log(chalk.red(errMsg));

    if (!fromTest) {
      process.exit(1);
    }
  } else if (succMsg) {
    console.log(chalk.green(succMsg));
  }

  return ret;
};